Update a Fleet Server host

Base URL
https://{kibana_url}
  • PUT /api/fleet/fleet_server_hosts/{itemId}
Auth

Update a Fleet Server host by ID.

Required authorization

Privileges fleet-settings-all

Path parameters

itemId string required

The ID of the Fleet Server host

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10
is_default boolean
is_internal boolean
name string
proxy_id string · default: null nullable
secrets object
ssl object
agent_key union anyOf
Any of:
id string required
es_key union anyOf
Any of:
id string required
key union anyOf
Any of:
id string required
ssl object nullable
agent_certificate string
agent_certificate_authorities string[] · max items: 10
agent_key string
certificate string
certificate_authorities string[] · max items: 10
client_auth enum
Values: optional required none
es_certificate string
es_certificate_authorities string[] · max items: 10
es_key string
key string

Responses

Successful response

application/json
item object required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string required
proxy_id string nullable
secrets object
ssl object
agent_key union anyOf
Any of:
id string required
es_key union anyOf
Any of:
id string required
key union anyOf
Any of:
id string required
ssl object nullable
agent_certificate string
agent_certificate_authorities string[] · max items: 10
agent_key string
certificate string
certificate_authorities string[] · max items: 10
client_auth enum
Values: optional required none
es_certificate string
es_certificate_authorities string[] · max items: 10
es_key string
key string

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
404

Not Found

application/json
Base URL
https://{kibana_url}